## Simplest and Cleanest Python Library to Scrape Stocks & Indices Data From The NSEIndia(New) and NiftyIndices Website.

## Introduction 
`nsemine` is a Python library designed to provide a clean and straightforward interface for scraping data from the National Stock Exchange of India (NSE) and the Nifty Indices website. It aims to simplify the process of retrieving various market data, including indices, stock information, futures & options data, and general NSE-related utilities. This library is built to be efficient and user-friendly, catering to **developers**, **traders**, **investors** who need reliable NSE data for financial analysis, algorithmic trading, and data visualization.

## Installation
 You can install `nsemine`  by pip or via github. 
>  ``pip install nsemine``

OR

>``pip install git+https://github.com/kbizme/nsemine.git``
 
 
## Why I Built This Library 
While there are several Python libraries available for scraping NSE data, this library was developed to address specific needs that were not adequately met by existing solutions.  I have used this library in my project. You can use it in yours.
* **Custom Data Requirements:** &nbsp;&nbsp;``nsemine`` is tailored to retrieve specific data points and formats that were essential for the project, which may not be available in other libraries.

*  **Unique Data Structures:** The project required data in a particular structure and format, which this library delivers directly, eliminating the need for extensive post-processing. 

* **Data Availability:**&nbsp;&nbsp; ``nsemine`` is designed to access and provide data that may not be available or easily accessible through other existing NSE scraping libraries. 

* **Performance and Reliability:** Optimized for speed and stability, ensuring reliable data retrieval, especially for real-time and high-frequency data. 

* **Ease of Use:** &nbsp;&nbsp;``nsemine`` aims to provide a simple and intuitive interface, making it easy for developers to integrate NSE data into their applications. This library is designed to offer a more specialized and efficient solution for users who require precise and customized NSE data. 

 ## Contributing 
 Contributions are welcome! Please feel free to submit pull requests or open issues for bug fixes, feature requests, or improvements. 
##  Documentation
_Work in progress..._ Meanwhile, you may explore the library. ReadTheDocs style documentation will be added upon complete library build.
